#include <iostream>
#include <string>
#include "gdbm_pool.h"
#include <vector>

int main()
{
  int rc;
  gdbm_pool p;
  p.set_file_name("aap");
  p.create_db();
  std::cout << "filename: " <<  p.get_file_name() << std::endl;

  p.open_db('w');
  std::vector<std::string> v;
  v.push_back("aap");
  v.push_back("noot");
  v.push_back("mies");
  v.push_back("computer    kkkk:w");
  v.push_back("fierts");
  v.push_back("aaa");
  for (unsigned int i=0; i<v.size(); i++)
  {
    rc = p.add_line(v[i]);
    switch (rc)
    {
      case 0:
	std::cerr << "success adding " << v[i] << std::endl;
	break;
      default:
	std::cerr << "error adding:" << v[i] << rc << std::endl;
	break;
    }
  }
  for (unsigned int i=0; i<2*v.size(); i++)
  {
    std::string line;
    rc = p.get_line(line);
    switch (rc)
    {
      case 0:
	std::cerr << "success getting " << line << std::endl;
	break;
      default:
	std::cerr << "error getting:" << i <<" " << rc << std::endl;
	break;
    }
  }
  p.close_db();
  return 0;
}

