#include <string>
#include <vector>
#include <string.h>
#include "utils.h"
// 
// splits string s to vector v, using separator character sep
// return value: v
// It seems that it follows the python implementation of split()
//
std::vector <std::string> split(std::vector <std::string> &v, const std::string s, const char sep)
{
  v.clear();
  for (size_t p=0, q=0; q != s.npos; p = q + 1)
    v.push_back(s.substr(p,(q=s.find(sep,p))-p));
  return v;
}

// converts string to char *
// resulting string is created using malloc. Use free to free.
char* str_to_charp(const std::string s)
{
  return strdup(s.c_str());
}

